Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class MediaAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.MediaAdmin

    public class MediaAdmin

extends java.lang.Object

The `MediaAdmin.java` class - colleciton of Media admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`MediaAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `createMedia(LibrarySession sess, MediaDefinition def)` internal variant of Create Media
`protected void` | `createMedia(LibrarySession sess, ParameterTable params)` Section variant of Create Media
`protected void` | `createMedia(LibrarySession sess, java.lang.String nameToken, java.lang.String isIndexedToken, java.lang.String databaseObjectNameToken)` inline variant of Create Media
`protected void` | `freeMedia(LibrarySession sess, ParameterTable params)` Section variant of Free Media
`protected void` | `freeMedia(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free Media
`protected Media` | `lookupMedia(LibrarySession sess, java.lang.String name)` Lookup Media by name
`protected void` | `modifyMedia(LibrarySession sess, ParameterTable params)` Section variant of Modify Media
`protected void` | `modifyMedia(LibrarySession sess, java.lang.String name, MediaDefinition def)` internal variant of Modify Media
`protected void` | `setDefaultStorageGroup(LibrarySession sess, ParameterTable params)` Sets the default StorageGroup for new ContentObjects.
`protected void` | `showDefaultStorageGroup(LibrarySession sess)` Shows the default StorageGroup for new ContentObjects.
`void` | `showMedia(LibrarySession sess, Media media)`
`void` | `showMedia(LibrarySession sess, ParameterTable params)` Section variant of showMedia
`void` | `showMedia(LibrarySession sess, java.lang.String medianame)` Inline/internal variant of showMedia

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### MediaAdmin

    public MediaAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this

Method Detail

### createMedia

    protected void createMedia(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `MediaAdmin`
  Section variant of Create Media

  Throws:
    `IfsException`

### createMedia

    protected void createMedia(LibrarySession sess,
                               java.lang.String nameToken,
                               java.lang.String isIndexedToken,
                               java.lang.String databaseObjectNameToken)
                        throws IfsException

  Description copied from class: `MediaAdmin`
  inline variant of Create Media

  Throws:
    `IfsException`

### createMedia

    protected void createMedia(LibrarySession sess,
                               MediaDefinition def)
                        throws IfsException

  Description copied from class: `MediaAdmin`
  internal variant of Create Media

  Throws:
    `IfsException`

### modifyMedia

    protected void modifyMedia(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `MediaAdmin`
  Section variant of Modify Media

  Throws:
    `IfsException`

### modifyMedia

    protected void modifyMedia(LibrarySession sess,
                               java.lang.String name,
                               MediaDefinition def)
                        throws IfsException

  Description copied from class: `MediaAdmin`
  internal variant of Modify Media

  Throws:
    `IfsException`

### freeMedia

    protected void freeMedia(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `MediaAdmin`
  Section variant of Free Media

  Throws:
    `IfsException`

### freeMedia

    protected void freeMedia(LibrarySession sess,
                             java.lang.String name)
                      throws IfsException

  Description copied from class: `MediaAdmin`
  Inline/internal variant of Free Media

  Throws:
    `IfsException`

### showMedia

    public void showMedia(LibrarySession sess,
                          ParameterTable params)
                   throws IfsException

  Description copied from class: `MediaAdmin`
  Section variant of showMedia

  Throws:
    `IfsException`

### showMedia

    public void showMedia(LibrarySession sess,
                          java.lang.String medianame)
                   throws IfsException

  Description copied from class: `MediaAdmin`
  Inline/internal variant of showMedia

  Throws:
    `IfsException`

### showMedia

    public void showMedia(LibrarySession sess,
                          Media media)
                   throws IfsException

  Throws:
    `IfsException`

### lookupMedia

    protected Media lookupMedia(LibrarySession sess,
                                java.lang.String name)
                         throws IfsException

  Description copied from class: `MediaAdmin`
  Lookup Media by name

  Throws:
    `IfsException`

### setDefaultStorageGroup

    protected void setDefaultStorageGroup(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `MediaAdmin`
  Sets the default StorageGroup for new ContentObjects.

  Parameters:
    `sess` - the session
    `params` - the parameters
  Throws:
    `IfsException` - if the operation fails

### showDefaultStorageGroup

    protected void showDefaultStorageGroup(LibrarySession sess)
                                    throws IfsException

  Description copied from class: `MediaAdmin`
  Shows the default StorageGroup for new ContentObjects.

  Parameters:
    `sess` - the session
  Throws:
    `if` - the operation fails IfsException
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD